<?php

namespace App\Http\Controllers\Admin;

use App\Repositories\Classes\AdminRepository;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Storage;
use App\Http\Controllers\Controller; // Import the base Controller class
use App\Models\Admin;
use App\Http\Requests\EditSubcategoryRequest;
class AdminController extends Controller
{

    private $adminRepo;
    public function __construct(AdminRepository $adminRepo){
        $this->adminRepo = $adminRepo;
    }

    public function list(Request $request){
        $business = $request->business;
        $admins = $this->adminRepo->getAllAdminsList($business->id);
        
        return response()->json([
            "admins" => $admins
            ]);
    }

    // public function all(Request $request){
        
    //     $business = $request->business;
    //     $Subcategories = $this->SubcategoryRepo->getAllSubcategories($business->id, $request);
        
    //     return $Subcategories;
    // }

    // public function search(Request $request){
    //     $business = $request->business;
    //     $Subcategories = $this->SubcategoryRepo->getAllSubcategoriesSearch($business->id,$request->name,$request->category);
        
    //     return $Subcategories;
    // }
    // public function oneSubcategory($id, Request $request){
    //     $business = $request->business;
    //     $Subcategory = $this->SubcategoryRepo->getOneSubcategory($id, $business->id);

    //     return response()->json([
    //         "subcategory" => $Subcategory
    //         ]);
    // }

    // public function add(Request $request){
    //     if($request->operation == 'edit' && (!$request->id || $request->id = '')){
    //         return response()->json([
    //             "message" => "NO"
    //         ]);
    //     }
    //     $data = $request->only(Subcategory::FILLABLE);
    //     $data['code'] = "sl*hg$";
    //     $admin = auth()->guard('admin')->user();
    //     $data['added_by'] = $admin->id;
    //     // if($request->image)
    //     // $data['img'] = $request->image->store('web/images', 'public');
    //     $data['business_id'] = $request->business->id;
    //     $Subcategory = $this->SubcategoryRepo->addSubcategory($request->business->id, $data);
    //     return response()->json([
    //         "subcategory" => $Subcategory,
    //         "success" => true
    //     ]);
    // //    dd($request);
    // }

    // public function edit(Request $request){

    //     $data = $request->only(Subcategory::FILLABLE);
    //     // if($request->image)
    //     // $data['img'] = $request->image->store('web/images', 'public');
    //     $data['business_id'] = $request->business->id;
    //     $Subcategory = $this->SubcategoryRepo->editSubcategory($data);
    //     return response()->json([
    //         "subcategory" => $Subcategory,
    //         "success" => true
    //     ]);
    // }


    // public function delete(Request $request){
    //     $Subcategory = $this->SubcategoryRepo->deleteSubcategories(json_decode($request->ids));
    //     return response()->json([
    //         "subcategory" => $Subcategory,    
    //         "success" => true
    //     ]);
    // }

    // public function active(Request $request){
    //     $Subcategory = $this->SubcategoryRepo->activeSubcategories(json_decode($request->ids));
    //     return response()->json([
    //         "subcategory" => $Subcategory,    
    //         "success" => true
    //     ]);
    // }

    // public function unactive(Request $request){
    //     $Subcategory = $this->SubcategoryRepo->unactiveSubcategories(json_decode($request->ids));
    //     return response()->json([
    //         "subcategory" => $Subcategory,    
    //         "success" => true
    //     ]);
    // }
    
}
