<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class BusinessQrCode extends Model
{
    use HasFactory;

    const FILLABLE = [
        "business_id",
        "website",
        "menue",
        "faceboock",
        "whatsapp",
    ];
    protected $fillable = self::FILLABLE;


    public function business(){
        return $this->belongsTo(Business::class, 'business_id', 'id');
    }

    
    public function scopeBusiness($q, $token){
        return $q->where("business_id", $token);
    }
}
