<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class BusinessVisitor extends Model
{
    use HasFactory;


    const FILLABLE = [
        "id",
        "business_id",
        "client_ip",
        "count",
        "added_date",
        "created_at",
        "updated_at"
    ];


    protected $fillable = self::FILLABLE;


    public function scopeBusiness($q, $token){
        return $q->where("business_id", $token);
    }
}
