<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Employe extends Model
{
    use HasFactory;
    
    
    protected $fillable = [
        "id",
        "name",
        "business_id",
        "added_date",
        "deleted_at",
        "created_at",
        "updated_at"
        ];
        
        

        public function categories(){
            return $this->hasMany(Category::class, 'added_by' ,'id');
        }
        
        public function busibess(){
        return $this->belongsTo(Business::class, 'business_id' ,'id');
        }
        
        public function scopeBusiness($q, $token){
            return $q->where("business_id", $token);
        }
}

