<?php

namespace App\Providers;

use App\Repositories\Classes\SubcategoryRepository;
use Illuminate\Support\ServiceProvider;

class SubcategoryServiceProvider extends ServiceProvider
{
    /**
     * Register services.
     */
    public function register(): void
    {
        $this->app->bind(SubcategoryRepository::class);
    }

    /**
     * Bootstrap services.
     */
    public function boot(): void
    {
        //
    }
}
