<?php

use App\Http\Controllers\Admin\Auth\AdminAuthController;
use Illuminate\Support\Facades\Route;


Route::post('/login', [AdminAuthController::class, 'login']);
require __DIR__.'/QRCode.php';  


Route::middleware(['auth:admin'])->group(function () {

    require __DIR__.'/admins.php';  


    Route::group(["prefix" => "business"], function(){
        require __DIR__.'/business.php';  
    });


    Route::group(["prefix" => "categories"], function(){
        require __DIR__.'/categories.php';  
    });

    Route::group(["prefix" => "subcategories"], function(){
        require __DIR__.'/subcategories.php';  
    });

    Route::group(["prefix" => "products"], function(){
        require __DIR__.'/products.php';  
    });

    Route::group(["prefix" => "contacts"], function(){
        require __DIR__.'/contacts.php';  
    });


});

