<?php

use App\Http\Controllers\Admin\CategoryController;


use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

    Route::post('/perPage', [CategoryController::class, "all"]);
    Route::get('/list', [CategoryController::class, "list"]);
    Route::get('/onecategory/{id}', [CategoryController::class, "oneCategory"]);
    Route::post('/add', [CategoryController::class, "add"]);
    Route::post('/edit', [CategoryController::class, "edit"]);
    Route::post('/delete', [CategoryController::class, "delete"]);
    Route::post('/active', [CategoryController::class, "active"]);
    Route::post('/unactive', [CategoryController::class, "unactive"]);
            