<?php

namespace App\Http\Controllers\web;

use App\Models\Product;
use Illuminate\Http\Request;

class ProductController extends Controller
{
    public function getData(Request $request, $id){
        $business = $request->business;
        $products = Product::select("name", "img", "shami", "baladi", "rate", "small", "big", "medium")
                    ->where("subcategory_id", $id)
                    ->business($business->id)
                    ->get();
        
        return response()->json([
            "data"=>$products,
            ]);
    }
}
