<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class BusinessContacts extends Model
{
    use HasFactory;

    const FILLABLE = [
        "id",
        "business_id",
        "mobile",
        "phone",
        "whatsapp",
        "faceboock",
        "instagram",
        "xweb",
        "snapchat",
        "added_by",
        "status",
    ];

    protected $fillable = self::FILLABLE;

    public function admin(){
        return $this->belongsTo(Admin::class, 'added_by' ,'id');
    }
    
    public function scopeBusiness($q, $token){
        return $q->where("business_id", $token);
    }
}
