<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;

class DatabaseSeeder extends Seeder
{
    /**
     * Seed the application's database.
     *
     * @return void
     */
    public function run()
    {
        // \App\Models\User::factory(10)->create();
        
        
        $productsData = [ "1"=> [
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"فول",
                "shami"=>"6",
                "baladi"=>"7"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>" فول عم بشندى",
                "shami"=>"7",
                "baladi"=>"8"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"فول اسكندرانى",
                "shami"=>"7",
                "baladi"=>"8"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"فول صلصة",
                "shami"=>"7",
                "baladi"=>"8"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"فول زبدة",
                "shami"=>"7",
                "baladi"=>"8"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"فول زيت زيتون",
                "shami"=>"7",
                "baladi"=>"8"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"فول زيت حار",
                "shami"=>"7",
                "baladi"=>"8"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"فول اومليت",
                "shami"=>"12",
                "baladi"=>"12"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"فول بسطرمة",
                "shami"=>"13",
                "baladi"=>"14"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"فول على بيض",
                "shami"=>"11",
                "baladi"=>"12"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"فول على باذنجان",
                "shami"=>"10",
                "baladi"=>"11"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"فول سوسيس",
                "shami"=>"13",
                "baladi"=>"14"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"فول سجق",
                "shami"=>"13",
                "baladi"=>"14"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"فول على طعمية",
                "shami"=>"7",
                "baladi"=>"8"
            ],
        ],
        "2"=> [
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"طعمية",
                "shami"=>"6",
                    "baladi"=>"7"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"طعمية مخصوص",
                "shami"=>"7",
                    "baladi"=>"8"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"طعمية محشية",
                "shami"=>"7",
                    "baladi"=>"8"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"طعمية على جبنة",
                "shami"=>"10",
                    "baladi"=>"11"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"طعمية على بطاطس",
                "shami"=>"10",
                    "baladi"=>"11"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"طعمية على باذنجان",
                "shami"=>"10",
                    "baladi"=>"11"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"طعمية على بابا",
                "shami"=>"10",
                    "baladi"=>"12"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"طعمية على بيض",
                "shami"=>"12",
                    "baladi"=>"13"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"طعمية على اومليت",
                "shami"=>"12",
                    "baladi"=>"12"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"طعمية بسطرمة",
                "shami"=>"12",
                    "baladi"=>"12"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"طعمية على سوسيس",
                "shami"=>"13",
                    "baladi"=>"12"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"طعمية على سجق",
                "shami"=>"13",
                    "baladi"=>"12"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"طعمية عين الكتكوت",
                "shami"=>"12",
                "baladi"=>"13"
            ],
        ],
        "3"=> [
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>" بطاطس صوابع",
                "shami"=>"7",
                "baladi"=>"8"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"بطاطس شيبسى",
                "shami"=>"7",
                "baladi"=>"8"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"بطاطس مهروسة",
                "shami"=>"7",
                "baladi"=>"8"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"بطاطس بانيه",
                "shami"=>"7",
                "baladi"=>"8"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"بطاطس كاتشب",
                "shami"=>"9",
                    "baladi"=>"10"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"بطاطس مايونيز",
                "shami"=>"7.5",
                    "baladi"=>"8.5"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"بطاطس كاتشب ومايونيز",
                "shami"=>"10",
                    "baladi"=>"11"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"بطاطس على بابا",
                "shami"=>"10",
                    "baladi"=>"11"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"بطاطس على حبنة",
                "shami"=>"9",
                    "baladi"=>"10"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"بطاطس على بيض",
                "shami"=>"12",
                    "baladi"=>"13"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"بطاطس على باذنجان",
                "shami"=>"10",
                    "baladi"=>"11"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"بطاطس على رومى",
                "shami"=>"13",
                    "baladi"=>"14"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"بطاطس على شيدر",
                "shami"=>"13",
                "baladi"=>"14"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"بطاطس موتزريلا",
                "shami"=>"16",
                    "baladi"=>"17"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"بطاطس على اومليت",
                "shami"=>"14",
                    "baladi"=>"15"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"بطاطس على بسطرمة",
                "shami"=>"16",
                    "baladi"=>"17"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"بطاطس كروكيت",
                "shami"=>"14",
                "baladi"=>"15"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"بطاطس عين جمل",
                "shami"=>"14",
                "baladi"=>"15"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"مهروسة على زبدة",
                "shami"=>"10",
                    "baladi"=>"11"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"مهروسة اومليت",
                "shami"=>"14",
                    "baladi"=>"15"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"مهروسة على بيض مقلى",
                "shami"=>"14",
                    "baladi"=>"15"
            ],
        ],
        "4"=>[
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"اومليت سادة ",
                "shami"=>"13",
                    "baladi"=>"14"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"اومليت بسطرمة ",
                "shami"=>"16",
                    "baladi"=>"17"
            ], 
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"اومليت جبنة رومى ",
                "shami"=>"16",
                    "baladi"=>"17"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"اومليت جبنة شيدر ",
                "shami"=>"16",
                    "baladi"=>"17"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"اومليت زبدة ",
                "shami"=>"14",
                    "baladi"=>"15"
            ], 
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"اومليت خلطة ",
                "shami"=>"16",
                    "baladi"=>"17"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"اومليت اباتشى ",
                "shami"=>"17",
                    "baladi"=>"18"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"اومليت بيتزا ",
                "shami"=>"16",
                    "baladi"=>"17"
            ], 
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"اومليت ميكس جبن ",
                "shami"=>"20",
                    "baladi"=>"20"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"اومليت موتزريلا ",
                "shami"=>"16",
                    "baladi"=>"17"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"بيض مسلوق ",
                "shami"=>"9",
                    "baladi"=>"10"
            ], 
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"بيض محرج ",
                "shami"=>"10",
                    "baladi"=>"10"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"بيض مسلوق زبدة ",
                "shami"=>"14",
                    "baladi"=>"13"
            ],
        ],
        "5"=>[
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"شكشوكة",
                "shami"=>"9",
                "baladi"=>"9"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"مسقعة",
                "shami"=>"7",
                    "baladi"=>"8"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"بابا غنوج",
                "shami"=>"7",
                    "baladi"=>"8"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"مسقعة باللخمة المفرومة",
                "shami"=>"11",
                    "baladi"=>"12"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"باذنجان مقلى",
                "shami"=>"7",
                "baladi"=>"8"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"ديناميت",
                "shami"=>"14",
                    "baladi"=>"15"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"عجة بلدى",
                "shami"=>"13",
                    "baladi"=>"14"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"عجة فرنساوى",
                "shami"=>"10",
                    "baladi"=>"11"
            ],
        ],
        "6"=>[
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"جبنة قريش",
                "shami"=>"7",
                "baladi"=>"8"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"جبنة قديمة",
                "shami"=>"7",
                    "baladi"=>"8"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"جبنة فيتا",
                "shami"=>"7",
                    "baladi"=>"8"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"جبنة زعتر",
                "shami"=>"9",
                    "baladi"=>"10"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"جبنة مقلية",
                "shami"=>"15",
                "baladi"=>"16"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"جبنة مقلية بطاطس",
                "shami"=>"18",
                    "baladi"=>"19"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"جبنة مقلية جامبو",
                "shami"=>"18",
                    "baladi"=>"20"
            ],
            
        ],
        "7"=>[
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"بطاطس سورى",
                "shami"=>"15",
                    "baladi"=>"15"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"بطاطس سورى بالجينة",
                "shami"=>"20",
                    "baladi"=>"20"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"طعمية سورى",
                "shami"=>"12",
                    "baladi"=>"12"
            ],
        ],
        "8"=>[
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"حلاوة بالقشطة",
                "shami"=>"16",
                    "baladi"=>"16"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"مربى بالقشطة",
                "shami"=>"16",
                    "baladi"=>"16"
            ], 
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"سكلانس",
                "shami"=>"21",
                    "baladi"=>"21"
            ],
        ],
        "9"=>[
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>" علبة فول سادة ",
                "small"=>"5",
                "medium"=>"10",
                "big"=>"15"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>" علبة فول محوج ",
                "small"=>"6",
                "medium"=>"12",
                "big"=>"16"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>" علبة فول زبدة ",
                "small"=>"6",
                "medium"=>"13",
                "big"=>"17"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>" علبة فول اسكندرانى ",
                "small"=>"7",
                "medium"=>"13",
                "big"=>"17"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>" علبة فول صلصة ",
                "small"=>"7",
                "medium"=>"13",
                "big"=>"17"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>" علبة فول زيت حار ",
                "small"=>"7",
                "medium"=>"13",
                "big"=>"17"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>" علبة زيت زيتون ",
                "small"=>"7",
                "medium"=>"13",
                "big"=>"17"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"علبة فول بالبيض",
                "small"=>"12",
                "medium"=>"18",
                "big"=>"23"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"علبة مسقعة",
                "small"=>"7",
                "medium"=>"12",
                "big"=>"16"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>" علبة بابا غنوج ",
                "small"=>"7",
                "medium"=>"13",
                "big"=>"17"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"علبة شكشوكة",
                "small"=>"8",
                "medium"=>"15",
                "big"=>"20"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>" علبة جبنة قريش ",
                "small"=>"7",
                "medium"=>"14",
                "big"=>"18"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>" علبة جبنة قديمة ",
                "small"=>"7",
                "medium"=>"14",
                "big"=>"18"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>" علبة مهروسة ",
                "small"=>"7",
                "medium"=>"14",
                "big"=>"18"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"علبة مهروسة زبدة ",
                "small"=>"10",
                "medium"=>"15",
                "big"=>"20"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>" علبة عجينة ",
                "small"=>"5",
                "medium"=>"10",
                "big"=>"15"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>" علبة عدس ",
                "small"=>null,
                "medium"=>null,
                "big"=>"15"
            ],
        ],
                
            ];
            
            $pro2 = ["10"=>[
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"قرص طعمية ",
                "price"=> "1"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"قرص طعمية محشية ",
                "price"=> "3"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"قرص عجة فرنساوى ",
                "price"=> "5"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"قرص عجة صغير ",
                "price"=> "12 - 22"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"قرص عجة بلدى ",
                "price"=> "12 - 20"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"قرص طعمية بسطرمة ",
                "price"=> "8"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"قرص طعمية سوسيس ",
                "price"=> "8"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"قرص طعمية سجق ",
                "price"=> "8"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"قرص جبنة رومى ",
                "price"=> "8"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>" باكيت صوابع او شيبسى",
                "price"=> "7"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"بطلب بيض بسطرمة ",
                "price"=> "20"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"طلب جبنة مقلية ",
                "price"=> "15 - 25"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"قرص طعمية ",
                "price"=> "2"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"طلب بيض اومليت سادة ",
                "price"=> "12 - 20"
            ],
            [
                "img"=>"web/images/sandwatch.jpeg",
                "title"=>"كيس مخلل بلدى ",
                "price"=> "8"
            ],
             
        ]];
            
                foreach ($pro2 as $categoryId => $products) {
    foreach ($products as $index => $product) {
        \App\Models\Product::create(
            [
                "code" => $index . "&pr",
                "img" => $product['img'],
                "name" => $product['title'],
                // "shami" => $product['shami'],
                // "baladi" => $product['baladi'],
                // "small" => $product['small'],
                // "medium" => $product['medium'],
                // "big" => $product['big'],
                "price" => $product['price'],
                "subcategory_id" => $categoryId // Use the category ID as the subcategory_id
            ]
        );
    }
}



    }
}
